import logique.Maze;

import static com.raylib.Raylib.*;
import static com.raylib.Jaylib.BLACK;
import static com.raylib.Jaylib.RAYWHITE;

public class Main {

    public static void main(String[] args) {
        InitWindow(500, 500, "Labyrinthe");

        SetTargetFPS(100);

        while (!WindowShouldClose()) {
            BeginDrawing();
            ClearBackground(RAYWHITE);

            for (int i = 0; i < Maze.MAZE[0].length; i++) {
                for (int j = 0; j < Maze.MAZE.length; j++) {
                    if (Maze.MAZE[j][i] == 1) {
                        DrawRectangle(i * 50, j * 50, 50, 50, BLACK);
                    }
                }
            }

            DrawFPS(20, 20);
            EndDrawing();
        }

        CloseWindow();
    }

}
