package logique;

import java.util.ArrayList;
import java.util.List;

public class Maze {

    public static int[][] MAZE = {
            {1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
            {1, 0, 0, 0, 1, 0, 1, 0, 0, 0},
            {1, 0, 1, 0, 1, 0, 1, 0, 1, 1},
            {1, 0, 1, 0, 0, 0, 1, 0, 0, 1},
            {0, 0, 1, 1, 1, 0, 1, 1, 0, 1},
            {1, 0, 0, 0, 0, 0, 0, 1, 0, 1},
            {1, 1, 0, 1, 1, 1, 0, 1, 0, 1},
            {1, 0, 0, 0, 0, 1, 0, 1, 0, 1},
            {1, 0, 1, 1, 0, 1, 0, 0, 0, 1},
            {1, 1, 1, 1, 1, 1, 1, 1, 1, 1}
    };

    private int populationSize;
    private int iterations;

    private float mutation;
    private float crossover;
    private float elitism;

    private List<Population> populationList;

    public Maze(int populationSize, int iterations, float mutation, float crossover, float elitism) {
        this.populationSize = populationSize;
        this.iterations = iterations;
        this.mutation = mutation;
        this.crossover = crossover;
        this.elitism = elitism;

        this.populationList = new ArrayList<>();
    }

    public void init() {

    }

    public void evaluate() {

    }

    public int getPopulationSize() {
        return populationSize;
    }

    public void setPopulationSize(int populationSize) {
        this.populationSize = populationSize;
    }

    public int getIterations() {
        return iterations;
    }

    public void setIterations(int iterations) {
        this.iterations = iterations;
    }

    public float getMutation() {
        return mutation;
    }

    public void setMutation(float mutation) {
        this.mutation = mutation;
    }

    public float getCrossover() {
        return crossover;
    }

    public void setCrossover(float crossover) {
        this.crossover = crossover;
    }

    public float getElitism() {
        return elitism;
    }

    public void setElitism(float elitism) {
        this.elitism = elitism;
    }
}
