package logique;

import utils.Pair;

import java.util.BitSet;

public class Population {

    private BitSet chromosome;
    private int posX;
    private int posY;

    public Population() {
        this.chromosome = new BitSet();
    }

    public Population(BitSet chromosome) {
        this.chromosome = chromosome;
    }

    public void move(int type) {
        switch (type) {
            case 0: // UP

                break;
            case 1: // DOWN
                break;
            case 2: // L
                break;
            case 3: // R
                break;
        }
    }

    private boolean isCoordinateValid(int x, int y) {
        if (x > Maze.MAZE[0].length || x < 0) return false;
        if (y > Maze.MAZE.length || y < 0) return false;
        return Maze.MAZE[x][y] != 1;
    }

    public Pair<Integer, Integer> getCoordinates() {
        return new Pair<>(posX, posY);
    }

    public BitSet getChromosome() {
        return chromosome;
    }

    public void setChromosome(BitSet chromosome) {
        this.chromosome = chromosome;
    }
}
